netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
rpc.h File Reference
`#include <sys/types.h>`
`#include <inttypes.h>`
`#include "event2/event.h"`
`#include "event2/http.h"`
`#include "event2/rpc.h"`
`#include <atalk/lockrpc.gen.h>`

Go to the source code of this file.

## Functions
int | rpc_init (const char *addr, unsigned short port)
int | rpc_lock (struct adouble *, uint32_t eid, int type, off_t off, off_t len, int user)
void | rpc_unlock (struct adouble *, int user)
int | rpc_tmplock (struct adouble *, uint32_t eid, int type, off_t off, off_t len, int user)

## Function Documentation

## ◆ rpc_init()

int rpc_init | ( | const char * | addr,
|  | unsigned short | port )
| extern

## ◆ rpc_lock()

int rpc_lock | ( | struct adouble * | ,
|  | uint32_t | eid,
|  | int | type,
|  | off_t | off,
|  | off_t | len,
|  | int | user )
| extern

## ◆ rpc_tmplock()

int rpc_tmplock | ( | struct adouble * | ,
|  | uint32_t | eid,
|  | int | type,
|  | off_t | off,
|  | off_t | len,
|  | int | user )
| extern

## ◆ rpc_unlock()

void rpc_unlock | ( | struct adouble * | ,
|  | int | user )
| extern